### Method

# Gimp Image select_ellipse

#### Declaration [src]

    gboolean
    gimp_image_select_ellipse (
      GimpImage* image,
      GimpChannelOps operation,
      gdouble x,
      gdouble y,
      gdouble width,
      gdouble height
    )

#### Description [src]

Create an elliptical selection over the specified image.

This tool creates an elliptical selection over the specified image. The elliptical region can be either added to, subtracted from, or replace the contents of the previous selection mask.

This procedure is affected by the following context setters: gimp_context_set_antialias(), gimp_context_set_feather(), gimp_context_set_feather_radius().

Available since: | 2.8

#### Parameters

`operation` | `GimpChannelOps`
| The selection operation.
`x` | `gdouble`
| X coordinate of upper-left corner of ellipse bounding box.
`y` | `gdouble`
| Y coordinate of upper-left corner of ellipse bounding box.
`width` | `gdouble`
| The width of the ellipse.
`height` | `gdouble`
| The height of the ellipse.

#### Return value

Returns: | `gboolean`
| TRUE on success.